# Class TCLIService.Client

java.lang.Object
org.apache.thrift.TServiceClient
com.databricks.jdbc.model.client.thrift.generated.TCLIService.Client

All Implemented Interfaces:
  `TCLIService.Iface`

Enclosing class:
  `TCLIService`

public static class TCLIService.Client extends org.apache.thrift.TServiceClient implements TCLIService.Iface

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TCLIService.Client.Factory`

## Field Summary

### Fields inherited from class org.apache.thrift.TServiceClient

`iprot_, oprot_, seqid_`

## Constructor Summary

Constructors
Constructor
Description
`Client(org.apache.thrift.protocol.TProtocol prot)`
`Client(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TProtocol oprot)`

## Method Summary

Modifier and Type
Method
Description
`TCancelDelegationTokenResp`
`CancelDelegationToken(TCancelDelegationTokenReq req)`
`TCancelOperationResp`
`CancelOperation(TCancelOperationReq req)`
`TCloseOperationResp`
`CloseOperation(TCloseOperationReq req)`
`TCloseSessionResp`
`CloseSession(TCloseSessionReq req)`
`TExecuteStatementResp`
`ExecuteStatement(TExecuteStatementReq req)`
`TFetchResultsResp`
`FetchResults(TFetchResultsReq req)`
`TGetCatalogsResp`
`GetCatalogs(TGetCatalogsReq req)`
`TGetColumnsResp`
`GetColumns(TGetColumnsReq req)`
`TGetCrossReferenceResp`
`GetCrossReference(TGetCrossReferenceReq req)`
`TGetDelegationTokenResp`
`GetDelegationToken(TGetDelegationTokenReq req)`
`TGetFunctionsResp`
`GetFunctions(TGetFunctionsReq req)`
`TGetInfoResp`
`GetInfo(TGetInfoReq req)`
`TGetOperationStatusResp`
`GetOperationStatus(TGetOperationStatusReq req)`
`TGetPrimaryKeysResp`
`GetPrimaryKeys(TGetPrimaryKeysReq req)`
`TGetResultSetMetadataResp`
`GetResultSetMetadata(TGetResultSetMetadataReq req)`
`TGetSchemasResp`
`GetSchemas(TGetSchemasReq req)`
`TGetTablesResp`
`GetTables(TGetTablesReq req)`
`TGetTableTypesResp`
`GetTableTypes(TGetTableTypesReq req)`
`TGetTypeInfoResp`
`GetTypeInfo(TGetTypeInfoReq req)`
`TOpenSessionResp`
`OpenSession(TOpenSessionReq req)`
`TCancelDelegationTokenResp`
`recv_CancelDelegationToken()`
`TCancelOperationResp`
`recv_CancelOperation()`
`TCloseOperationResp`
`recv_CloseOperation()`
`TCloseSessionResp`
`recv_CloseSession()`
`TExecuteStatementResp`
`recv_ExecuteStatement()`
`TFetchResultsResp`
`recv_FetchResults()`
`TGetCatalogsResp`
`recv_GetCatalogs()`
`TGetColumnsResp`
`recv_GetColumns()`
`TGetCrossReferenceResp`
`recv_GetCrossReference()`
`TGetDelegationTokenResp`
`recv_GetDelegationToken()`
`TGetFunctionsResp`
`recv_GetFunctions()`
`TGetInfoResp`
`recv_GetInfo()`
`TGetOperationStatusResp`
`recv_GetOperationStatus()`
`TGetPrimaryKeysResp`
`recv_GetPrimaryKeys()`
`TGetResultSetMetadataResp`
`recv_GetResultSetMetadata()`
`TGetSchemasResp`
`recv_GetSchemas()`
`TGetTablesResp`
`recv_GetTables()`
`TGetTableTypesResp`
`recv_GetTableTypes()`
`TGetTypeInfoResp`
`recv_GetTypeInfo()`
`TOpenSessionResp`
`recv_OpenSession()`
`TRenewDelegationTokenResp`
`recv_RenewDelegationToken()`
`TRenewDelegationTokenResp`
`RenewDelegationToken(TRenewDelegationTokenReq req)`
`void`
`send_CancelDelegationToken(TCancelDelegationTokenReq req)`
`void`
`send_CancelOperation(TCancelOperationReq req)`
`void`
`send_CloseOperation(TCloseOperationReq req)`
`void`
`send_CloseSession(TCloseSessionReq req)`
`void`
`send_ExecuteStatement(TExecuteStatementReq req)`
`void`
`send_FetchResults(TFetchResultsReq req)`
`void`
`send_GetCatalogs(TGetCatalogsReq req)`
`void`
`send_GetColumns(TGetColumnsReq req)`
`void`
`send_GetCrossReference(TGetCrossReferenceReq req)`
`void`
`send_GetDelegationToken(TGetDelegationTokenReq req)`
`void`
`send_GetFunctions(TGetFunctionsReq req)`
`void`
`send_GetInfo(TGetInfoReq req)`
`void`
`send_GetOperationStatus(TGetOperationStatusReq req)`
`void`
`send_GetPrimaryKeys(TGetPrimaryKeysReq req)`
`void`
`send_GetResultSetMetadata(TGetResultSetMetadataReq req)`
`void`
`send_GetSchemas(TGetSchemasReq req)`
`void`
`send_GetTables(TGetTablesReq req)`
`void`
`send_GetTableTypes(TGetTableTypesReq req)`
`void`
`send_GetTypeInfo(TGetTypeInfoReq req)`
`void`
`send_OpenSession(TOpenSessionReq req)`
`void`
`send_RenewDelegationToken(TRenewDelegationTokenReq req)`

### Methods inherited from class org.apache.thrift.TServiceClient

`getInputProtocol, getOutputProtocol, receiveBase, sendBase, sendBaseOneway`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Client

public Client(org.apache.thrift.protocol.TProtocol prot)

### Client

public Client(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TProtocol oprot)

## Method Details

### OpenSession

public TOpenSessionResp OpenSession(TOpenSessionReq req) throws org.apache.thrift.TException

Specified by:
  `OpenSession` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_OpenSession

public void send_OpenSession(TOpenSessionReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_OpenSession

public TOpenSessionResp recv_OpenSession() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### CloseSession

public TCloseSessionResp CloseSession(TCloseSessionReq req) throws org.apache.thrift.TException

Specified by:
  `CloseSession` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_CloseSession

public void send_CloseSession(TCloseSessionReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_CloseSession

public TCloseSessionResp recv_CloseSession() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetInfo

public TGetInfoResp GetInfo(TGetInfoReq req) throws org.apache.thrift.TException

Specified by:
  `GetInfo` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_GetInfo

public void send_GetInfo(TGetInfoReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_GetInfo

public TGetInfoResp recv_GetInfo() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### ExecuteStatement

public TExecuteStatementResp ExecuteStatement(TExecuteStatementReq req) throws org.apache.thrift.TException

Specified by:
  `ExecuteStatement` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_ExecuteStatement

public void send_ExecuteStatement(TExecuteStatementReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_ExecuteStatement

public TExecuteStatementResp recv_ExecuteStatement() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetTypeInfo

public TGetTypeInfoResp GetTypeInfo(TGetTypeInfoReq req) throws org.apache.thrift.TException

Specified by:
  `GetTypeInfo` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_GetTypeInfo

public void send_GetTypeInfo(TGetTypeInfoReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_GetTypeInfo

public TGetTypeInfoResp recv_GetTypeInfo() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetCatalogs

public TGetCatalogsResp GetCatalogs(TGetCatalogsReq req) throws org.apache.thrift.TException

Specified by:
  `GetCatalogs` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_GetCatalogs

public void send_GetCatalogs(TGetCatalogsReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_GetCatalogs

public TGetCatalogsResp recv_GetCatalogs() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetSchemas

public TGetSchemasResp GetSchemas(TGetSchemasReq req) throws org.apache.thrift.TException

Specified by:
  `GetSchemas` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_GetSchemas

public void send_GetSchemas(TGetSchemasReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_GetSchemas

public TGetSchemasResp recv_GetSchemas() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetTables

public TGetTablesResp GetTables(TGetTablesReq req) throws org.apache.thrift.TException

Specified by:
  `GetTables` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_GetTables

public void send_GetTables(TGetTablesReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_GetTables

public TGetTablesResp recv_GetTables() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetTableTypes

public TGetTableTypesResp GetTableTypes(TGetTableTypesReq req) throws org.apache.thrift.TException

Specified by:
  `GetTableTypes` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_GetTableTypes

public void send_GetTableTypes(TGetTableTypesReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_GetTableTypes

public TGetTableTypesResp recv_GetTableTypes() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetColumns

public TGetColumnsResp GetColumns(TGetColumnsReq req) throws org.apache.thrift.TException

Specified by:
  `GetColumns` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_GetColumns

public void send_GetColumns(TGetColumnsReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_GetColumns

public TGetColumnsResp recv_GetColumns() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetFunctions

public TGetFunctionsResp GetFunctions(TGetFunctionsReq req) throws org.apache.thrift.TException

Specified by:
  `GetFunctions` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_GetFunctions

public void send_GetFunctions(TGetFunctionsReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_GetFunctions

public TGetFunctionsResp recv_GetFunctions() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetPrimaryKeys

public TGetPrimaryKeysResp GetPrimaryKeys(TGetPrimaryKeysReq req) throws org.apache.thrift.TException

Specified by:
  `GetPrimaryKeys` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_GetPrimaryKeys

public void send_GetPrimaryKeys(TGetPrimaryKeysReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_GetPrimaryKeys

public TGetPrimaryKeysResp recv_GetPrimaryKeys() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetCrossReference

public TGetCrossReferenceResp GetCrossReference(TGetCrossReferenceReq req) throws org.apache.thrift.TException

Specified by:
  `GetCrossReference` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_GetCrossReference

public void send_GetCrossReference(TGetCrossReferenceReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_GetCrossReference

public TGetCrossReferenceResp recv_GetCrossReference() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetOperationStatus

public TGetOperationStatusResp GetOperationStatus(TGetOperationStatusReq req) throws org.apache.thrift.TException

Specified by:
  `GetOperationStatus` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_GetOperationStatus

public void send_GetOperationStatus(TGetOperationStatusReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_GetOperationStatus

public TGetOperationStatusResp recv_GetOperationStatus() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### CancelOperation

public TCancelOperationResp CancelOperation(TCancelOperationReq req) throws org.apache.thrift.TException

Specified by:
  `CancelOperation` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_CancelOperation

public void send_CancelOperation(TCancelOperationReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_CancelOperation

public TCancelOperationResp recv_CancelOperation() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### CloseOperation

public TCloseOperationResp CloseOperation(TCloseOperationReq req) throws org.apache.thrift.TException

Specified by:
  `CloseOperation` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_CloseOperation

public void send_CloseOperation(TCloseOperationReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_CloseOperation

public TCloseOperationResp recv_CloseOperation() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetResultSetMetadata

public TGetResultSetMetadataResp GetResultSetMetadata(TGetResultSetMetadataReq req) throws org.apache.thrift.TException

Specified by:
  `GetResultSetMetadata` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_GetResultSetMetadata

public void send_GetResultSetMetadata(TGetResultSetMetadataReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_GetResultSetMetadata

public TGetResultSetMetadataResp recv_GetResultSetMetadata() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### FetchResults

public TFetchResultsResp FetchResults(TFetchResultsReq req) throws org.apache.thrift.TException

Specified by:
  `FetchResults` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_FetchResults

public void send_FetchResults(TFetchResultsReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_FetchResults

public TFetchResultsResp recv_FetchResults() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### GetDelegationToken

public TGetDelegationTokenResp GetDelegationToken(TGetDelegationTokenReq req) throws org.apache.thrift.TException

Specified by:
  `GetDelegationToken` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_GetDelegationToken

public void send_GetDelegationToken(TGetDelegationTokenReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_GetDelegationToken

public TGetDelegationTokenResp recv_GetDelegationToken() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### CancelDelegationToken

public TCancelDelegationTokenResp CancelDelegationToken(TCancelDelegationTokenReq req) throws org.apache.thrift.TException

Specified by:
  `CancelDelegationToken` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_CancelDelegationToken

public void send_CancelDelegationToken(TCancelDelegationTokenReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_CancelDelegationToken

public TCancelDelegationTokenResp recv_CancelDelegationToken() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### RenewDelegationToken

public TRenewDelegationTokenResp RenewDelegationToken(TRenewDelegationTokenReq req) throws org.apache.thrift.TException

Specified by:
  `RenewDelegationToken` in interface `TCLIService.Iface`
Throws:
  `org.apache.thrift.TException`

### send_RenewDelegationToken

public void send_RenewDelegationToken(TRenewDelegationTokenReq req) throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`

### recv_RenewDelegationToken

public TRenewDelegationTokenResp recv_RenewDelegationToken() throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`